Download it now!
Bug 90791 - Accounting format broken for Thai Baht (THB) [$฿-41E]
Summary: Accounting format broken for Thai Baht (THB) [$฿-41E]
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-22 21:08 UTC by Drury Woodson
Modified: 2019-12-03 14:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test file (37.15 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-04-23 17:26 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Drury Woodson 2015-04-22 21:08:11 UTC
Using this accounting format code:
[>0]" ฿"* #,##0.00 ;[RED][<0]" ฿"* (#,##0.00);" ฿"* -# ;@ 
the currency symbol is not left justified.  

If I use the same code with '$' instead of '฿' the currency symbol is properly left justified.

In LO 4.4.0.3 release this problem affected all my '฿' cells.  When I opened the same document in LO 4.4.2.2 release some of the cells were correctly formatted and some weren't.  When I edited the values in the correctly formatted cells, the formatting reverted and the currency symbol lost its left justification.

FYI, the '฿' symbol is a popular workaround for the current lack of a unicode bitcoin currency symbol.  I did not test to see what other currency symbols may be affected.
Comment 1 raal 2015-04-23 11:42:18 UTC
Hello,
please could you attach simple test file? Thank you
Comment 2 raal 2015-04-23 17:26:29 UTC
Created attachment 115039 [details]
test file

 I can confirm with Version: 5.0.0.0.alpha1+
Build ID: badec7478035008f514e0976a94438fe2e32dc40
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-04-22_01:28:24
Comment 3 QA Administrators 2016-09-20 09:33:31 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2019-12-03 14:37:02 UTC
Dear Drury Woodson,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug